using System;
using System.Collections.Generic;
using System.Text;

namespace ExCircle
{
    class Program
    {
        static void Main(string[] args)
        {
            Circle c1 = new Circle(new Point(2, 3), 7);
            Circle c2 = new Circle(new Point(7, 2), 28);
            Console.WriteLine("circle c1: " + c1.toString());
            Console.WriteLine("circle c2: " + c2.toString());

            Console.WriteLine();
            Console.WriteLine("The area of circle c1 is: " + c1.calcArea());
            Console.WriteLine("The perimeter of circle c1 is: " + c1.calcPerimeter());
            Console.WriteLine("The area of circle c2 is: " + c2.calcArea());
            Console.WriteLine("The perimeter of circle c2 is: " + c2.calcPerimeter());

            Console.WriteLine();
            c1.circleMove(2, 3);
            c1.circleScale(2);
            Console.WriteLine("circle c1 after changing: " + c1.toString());
            c2.circleMove(-3, 4);
            c2.circleScale(0.5);
            Console.WriteLine("circle c2 after changing: " + c2.toString());

            Console.WriteLine();
            if (c1.circleIsEqual(c2))
                Console.WriteLine("Circles c1 and c2 are equal after the change.");
            else
                Console.WriteLine("Circles c1 and c2 aren't equal after the change.");
	

        }
    }
}


	

